GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::MCIndexSegmentSetMutualIntersector Class Reference

Intersects two sets of SegmentStrings using a index based on MonotoneChains and a SpatialIndex. More...

`#include <MCIndexSegmentSetMutualIntersector.h>`

Inheritance diagram for geos::noding::MCIndexSegmentSetMutualIntersector:

## Public Member Functions
std::vector < index::chain::MonotoneChain * > & | getMonotoneChains ()
index::SpatialIndex * | getIndex ()
void | setBaseSegments (SegmentString::ConstVect *segStrings)
void | process (SegmentString::ConstVect *segStrings)
Public Member Functions inherited from geos::noding::SegmentSetMutualIntersector
void | setSegmentIntersector (SegmentIntersector *si)

## Additional Inherited Members
Protected Attributes inherited from geos::noding::SegmentSetMutualIntersector
SegmentIntersector * | segInt

## Detailed Description

Intersects two sets of SegmentStrings using a index based on MonotoneChains and a SpatialIndex.

Version
  1.7

## Member Function Documentation

void geos::noding::MCIndexSegmentSetMutualIntersector::process | ( | SegmentString::ConstVect * | segStrings | ) |
| virtual

Computes the intersections for two collections of SegmentStrings.

Parameters

  segStrings1 | a collection of SegmentStrings to node

Implements geos::noding::SegmentSetMutualIntersector.

void geos::noding::MCIndexSegmentSetMutualIntersector::setBaseSegments | ( | SegmentString::ConstVect * | segStrings | ) |
| virtual

Parameters

  segStrings0 | a collection of SegmentStrings to node

Implements geos::noding::SegmentSetMutualIntersector.

The documentation for this class was generated from the following file:

- MCIndexSegmentSetMutualIntersector.h